peak.can.basic

## Enum TPCANHandle

- java.lang.Object
- - java.lang.Enum<TPCANHandle>
  - - peak.can.basic.TPCANHandle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TPCANHandle>

      public enum TPCANHandle
      extends java.lang.Enum<TPCANHandle>

  Represents a PCAN-hardware channel handle.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PCAN_DNGBUS1` PCAN-Dongle/LPT interface, channel 1
    `PCAN_ISABUS1` PCAN-ISA interface, channel 1
    `PCAN_ISABUS2` PCAN-ISA interface, channel 2
    `PCAN_ISABUS3` PCAN-ISA interface, channel 3
    `PCAN_ISABUS4` PCAN-ISA interface, channel 4
    `PCAN_ISABUS5` PCAN-ISA interface, channel 5
    `PCAN_ISABUS6` PCAN-ISA interface, channel 6
    `PCAN_ISABUS7` PCAN-ISA interface, channel 7
    `PCAN_ISABUS8` PCAN-ISA interface, channel 8
    `PCAN_LANBUS1` PCAN-LAN1 interface, channel 1
    `PCAN_LANBUS10` PCAN-LAN interface, channel 10
    `PCAN_LANBUS11` PCAN-LAN interface, channel 11
    `PCAN_LANBUS12` PCAN-LAN interface, channel 12
    `PCAN_LANBUS13` PCAN-LAN interface, channel 13
    `PCAN_LANBUS14` PCAN-LAN interface, channel 14
    `PCAN_LANBUS15` PCAN-LAN interface, channel 15
    `PCAN_LANBUS16` PCAN-LAN interface, channel 16
    `PCAN_LANBUS2` PCAN-LAN2 interface, channel 2
    `PCAN_LANBUS3` PCAN-LAN3 interface, channel 3
    `PCAN_LANBUS4` PCAN-LAN4 interface, channel 4
    `PCAN_LANBUS5` PCAN-LAN5 interface, channel 5
    `PCAN_LANBUS6` PCAN-LAN6 interface, channel 6
    `PCAN_LANBUS7` PCAN-LAN7 interface, channel 7
    `PCAN_LANBUS8` PCAN-LAN8 interface, channel 8
    `PCAN_LANBUS9` PCAN-LAN interface, channel 9
    `PCAN_NONEBUS` Undefined/default value for a PCAN bus
    `PCAN_PCCBUS1` PCAN-PC Card interface, channel 1
    `PCAN_PCCBUS2` PCAN-PC Card interface, channel 2
    `PCAN_PCIBUS1` PCAN-PCI interface, channel 1
    `PCAN_PCIBUS10` PCAN-PCI interface, channel 10
    `PCAN_PCIBUS11` PCAN-PCI interface, channel 11
    `PCAN_PCIBUS12` PCAN-PCI interface, channel 12
    `PCAN_PCIBUS13` PCAN-PCI interface, channel 13
    `PCAN_PCIBUS14` PCAN-PCI interface, channel 14
    `PCAN_PCIBUS15` PCAN-PCI interface, channel 15
    `PCAN_PCIBUS16` PCAN-PCI interface, channel 16
    `PCAN_PCIBUS2` PCAN-PCI interface, channel 2
    `PCAN_PCIBUS3` PCAN-PCI interface, channel 3
    `PCAN_PCIBUS4` PCAN-PCI interface, channel 4
    `PCAN_PCIBUS5` PCAN-PCI interface, channel 5
    `PCAN_PCIBUS6` PCAN-PCI interface, channel 6
    `PCAN_PCIBUS7` PCAN-PCI interface, channel 7
    `PCAN_PCIBUS8` PCAN-PCI interface, channel 8
    `PCAN_PCIBUS9` PCAN-PCI interface, channel 9
    `PCAN_USBBUS1` PCAN-USB interface, channel 1
    `PCAN_USBBUS10` PCAN-USB interface, channel 10
    `PCAN_USBBUS11` PCAN-USB interface, channel 11
    `PCAN_USBBUS12` PCAN-USB interface, channel 12
    `PCAN_USBBUS13` PCAN-USB interface, channel 13
    `PCAN_USBBUS14` PCAN-USB interface, channel 14
    `PCAN_USBBUS15` PCAN-USB interface, channel 15
    `PCAN_USBBUS16` PCAN-USB interface, channel 16
    `PCAN_USBBUS2` PCAN-USB interface, channel 2
    `PCAN_USBBUS3` PCAN-USB interface, channel 3
    `PCAN_USBBUS4` PCAN-USB interface, channel 4
    `PCAN_USBBUS5` PCAN-USB interface, channel 5
    `PCAN_USBBUS6` PCAN-USB interface, channel 6
    `PCAN_USBBUS7` PCAN-USB interface, channel 7
    `PCAN_USBBUS8` PCAN-USB interface, channel 8
    `PCAN_USBBUS9` PCAN-USB interface, channel 9

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `containsSJA(TPCANHandle handle, TPCANType type)` Verify the provided TPCANHandle contains a SJA1000 controller
    `short` | `getValue()`
    `static java.lang.Object[]` | `initializableChannels()` Returns All PCAN Channels which are initializable (All except PCAN_NONEBUS)
    `static boolean` | `isPCANPCCardHardware(TPCANHandle handle)` Verify the provided TPCANHandle is an PC-Card Device
    `static boolean` | `isPCANUSBHardware(TPCANHandle handle)` Verify the provided TPCANHandle is an USB Device
    `static TPCANHandle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TPCANHandle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PCAN_NONEBUS

          public static final TPCANHandle PCAN_NONEBUS

      Undefined/default value for a PCAN bus

    - #### PCAN_ISABUS1

          public static final TPCANHandle PCAN_ISABUS1

      PCAN-ISA interface, channel 1

    - #### PCAN_ISABUS2

          public static final TPCANHandle PCAN_ISABUS2

      PCAN-ISA interface, channel 2

    - #### PCAN_ISABUS3

          public static final TPCANHandle PCAN_ISABUS3

      PCAN-ISA interface, channel 3

    - #### PCAN_ISABUS4

          public static final TPCANHandle PCAN_ISABUS4

      PCAN-ISA interface, channel 4

    - #### PCAN_ISABUS5

          public static final TPCANHandle PCAN_ISABUS5

      PCAN-ISA interface, channel 5

    - #### PCAN_ISABUS6

          public static final TPCANHandle PCAN_ISABUS6

      PCAN-ISA interface, channel 6

    - #### PCAN_ISABUS7

          public static final TPCANHandle PCAN_ISABUS7

      PCAN-ISA interface, channel 7

    - #### PCAN_ISABUS8

          public static final TPCANHandle PCAN_ISABUS8

      PCAN-ISA interface, channel 8

    - #### PCAN_DNGBUS1

          public static final TPCANHandle PCAN_DNGBUS1

      PCAN-Dongle/LPT interface, channel 1

    - #### PCAN_PCIBUS1

          public static final TPCANHandle PCAN_PCIBUS1

      PCAN-PCI interface, channel 1

    - #### PCAN_PCIBUS2

          public static final TPCANHandle PCAN_PCIBUS2

      PCAN-PCI interface, channel 2

    - #### PCAN_PCIBUS3

          public static final TPCANHandle PCAN_PCIBUS3

      PCAN-PCI interface, channel 3

    - #### PCAN_PCIBUS4

          public static final TPCANHandle PCAN_PCIBUS4

      PCAN-PCI interface, channel 4

    - #### PCAN_PCIBUS5

          public static final TPCANHandle PCAN_PCIBUS5

      PCAN-PCI interface, channel 5

    - #### PCAN_PCIBUS6

          public static final TPCANHandle PCAN_PCIBUS6

      PCAN-PCI interface, channel 6

    - #### PCAN_PCIBUS7

          public static final TPCANHandle PCAN_PCIBUS7

      PCAN-PCI interface, channel 7

    - #### PCAN_PCIBUS8

          public static final TPCANHandle PCAN_PCIBUS8

      PCAN-PCI interface, channel 8

    - #### PCAN_PCIBUS9

          public static final TPCANHandle PCAN_PCIBUS9

      PCAN-PCI interface, channel 9

    - #### PCAN_PCIBUS10

          public static final TPCANHandle PCAN_PCIBUS10

      PCAN-PCI interface, channel 10

    - #### PCAN_PCIBUS11

          public static final TPCANHandle PCAN_PCIBUS11

      PCAN-PCI interface, channel 11

    - #### PCAN_PCIBUS12

          public static final TPCANHandle PCAN_PCIBUS12

      PCAN-PCI interface, channel 12

    - #### PCAN_PCIBUS13

          public static final TPCANHandle PCAN_PCIBUS13

      PCAN-PCI interface, channel 13

    - #### PCAN_PCIBUS14

          public static final TPCANHandle PCAN_PCIBUS14

      PCAN-PCI interface, channel 14

    - #### PCAN_PCIBUS15

          public static final TPCANHandle PCAN_PCIBUS15

      PCAN-PCI interface, channel 15

    - #### PCAN_PCIBUS16

          public static final TPCANHandle PCAN_PCIBUS16

      PCAN-PCI interface, channel 16

    - #### PCAN_USBBUS1

          public static final TPCANHandle PCAN_USBBUS1

      PCAN-USB interface, channel 1

    - #### PCAN_USBBUS2

          public static final TPCANHandle PCAN_USBBUS2

      PCAN-USB interface, channel 2

    - #### PCAN_USBBUS3

          public static final TPCANHandle PCAN_USBBUS3

      PCAN-USB interface, channel 3

    - #### PCAN_USBBUS4

          public static final TPCANHandle PCAN_USBBUS4

      PCAN-USB interface, channel 4

    - #### PCAN_USBBUS5

          public static final TPCANHandle PCAN_USBBUS5

      PCAN-USB interface, channel 5

    - #### PCAN_USBBUS6

          public static final TPCANHandle PCAN_USBBUS6

      PCAN-USB interface, channel 6

    - #### PCAN_USBBUS7

          public static final TPCANHandle PCAN_USBBUS7

      PCAN-USB interface, channel 7

    - #### PCAN_USBBUS8

          public static final TPCANHandle PCAN_USBBUS8

      PCAN-USB interface, channel 8

    - #### PCAN_USBBUS9

          public static final TPCANHandle PCAN_USBBUS9

      PCAN-USB interface, channel 9

    - #### PCAN_USBBUS10

          public static final TPCANHandle PCAN_USBBUS10

      PCAN-USB interface, channel 10

    - #### PCAN_USBBUS11

          public static final TPCANHandle PCAN_USBBUS11

      PCAN-USB interface, channel 11

    - #### PCAN_USBBUS12

          public static final TPCANHandle PCAN_USBBUS12

      PCAN-USB interface, channel 12

    - #### PCAN_USBBUS13

          public static final TPCANHandle PCAN_USBBUS13

      PCAN-USB interface, channel 13

    - #### PCAN_USBBUS14

          public static final TPCANHandle PCAN_USBBUS14

      PCAN-USB interface, channel 14

    - #### PCAN_USBBUS15

          public static final TPCANHandle PCAN_USBBUS15

      PCAN-USB interface, channel 15

    - #### PCAN_USBBUS16

          public static final TPCANHandle PCAN_USBBUS16

      PCAN-USB interface, channel 16

    - #### PCAN_PCCBUS1

          public static final TPCANHandle PCAN_PCCBUS1

      PCAN-PC Card interface, channel 1

    - #### PCAN_PCCBUS2

          public static final TPCANHandle PCAN_PCCBUS2

      PCAN-PC Card interface, channel 2

    - #### PCAN_LANBUS1

          public static final TPCANHandle PCAN_LANBUS1

      PCAN-LAN1 interface, channel 1

    - #### PCAN_LANBUS2

          public static final TPCANHandle PCAN_LANBUS2

      PCAN-LAN2 interface, channel 2

    - #### PCAN_LANBUS3

          public static final TPCANHandle PCAN_LANBUS3

      PCAN-LAN3 interface, channel 3

    - #### PCAN_LANBUS4

          public static final TPCANHandle PCAN_LANBUS4

      PCAN-LAN4 interface, channel 4

    - #### PCAN_LANBUS5

          public static final TPCANHandle PCAN_LANBUS5

      PCAN-LAN5 interface, channel 5

    - #### PCAN_LANBUS6

          public static final TPCANHandle PCAN_LANBUS6

      PCAN-LAN6 interface, channel 6

    - #### PCAN_LANBUS7

          public static final TPCANHandle PCAN_LANBUS7

      PCAN-LAN7 interface, channel 7

    - #### PCAN_LANBUS8

          public static final TPCANHandle PCAN_LANBUS8

      PCAN-LAN8 interface, channel 8

    - #### PCAN_LANBUS9

          public static final TPCANHandle PCAN_LANBUS9

      PCAN-LAN interface, channel 9

    - #### PCAN_LANBUS10

          public static final TPCANHandle PCAN_LANBUS10

      PCAN-LAN interface, channel 10

    - #### PCAN_LANBUS11

          public static final TPCANHandle PCAN_LANBUS11

      PCAN-LAN interface, channel 11

    - #### PCAN_LANBUS12

          public static final TPCANHandle PCAN_LANBUS12

      PCAN-LAN interface, channel 12

    - #### PCAN_LANBUS13

          public static final TPCANHandle PCAN_LANBUS13

      PCAN-LAN interface, channel 13

    - #### PCAN_LANBUS14

          public static final TPCANHandle PCAN_LANBUS14

      PCAN-LAN interface, channel 14

    - #### PCAN_LANBUS15

          public static final TPCANHandle PCAN_LANBUS15

      PCAN-LAN interface, channel 15

    - #### PCAN_LANBUS16

          public static final TPCANHandle PCAN_LANBUS16

      PCAN-LAN interface, channel 16

  - ### Method Detail

    - #### values

          public static TPCANHandle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TPCANHandle c : TPCANHandle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TPCANHandle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public short getValue()

    - #### initializableChannels

          public static java.lang.Object[] initializableChannels()

      Returns All PCAN Channels which are initializable (All except PCAN_NONEBUS)
      Returns:
        PCAN Channels array

    - #### isPCANUSBHardware

          public static boolean isPCANUSBHardware(TPCANHandle handle)

      Verify the provided TPCANHandle is an USB Device
      Parameters:
        `handle` - to verify
      Returns:
        true if the TPCANHandle is an USB Device, false if not

    - #### isPCANPCCardHardware

          public static boolean isPCANPCCardHardware(TPCANHandle handle)

      Verify the provided TPCANHandle is an PC-Card Device
      Parameters:
        `handle` - to verify
      Returns:
        true if the TPCANHandle is an PC-Card Device, false if not

    - #### containsSJA

          public static boolean containsSJA(TPCANHandle handle,
                                            TPCANType type)

      Verify the provided TPCANHandle contains a SJA1000 controller
      Parameters:
        `handle` - to verify
        `type` - the PCAN device associated with the handle
      Returns:
        true if the TPCANHandle contains a SJA1000 controller, false if not